Qt 5.11 | Qt Multimedia | C++ Classes | QMediaGaplessPlaybackControl

Qt 5.11.3 Reference Documentation

# QMediaGaplessPlaybackControl Class

The QMediaGaplessPlaybackControl class provides access to the gapless playback related control of a QMediaService. More...

Header: | #include <QMediaGaplessPlaybackControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaGaplessPlaybackControl()
virtual qreal | crossfadeTime() const = 0
virtual bool | isCrossfadeSupported() const = 0
virtual QMediaContent | nextMedia() const = 0
virtual void | setCrossfadeTime(qreal crossfadeTime) = 0
virtual void | setNextMedia(const QMediaContent &media) = 0

## Signals

void | advancedToNextMedia()
void | crossfadeTimeChanged(qreal crossfadeTime)
void | nextMediaChanged(const QMediaContent &media)

## Protected Functions

| QMediaGaplessPlaybackControl(QObject *parent = nullptr)

## Macros

| QMediaGaplessPlaybackControl_iid

## Detailed Description

The QMediaGaplessPlaybackControl class provides access to the gapless playback related control of a QMediaService.

If a QMediaService supports gapless playback it will implement QMediaGaplessPlaybackControl. This control provides a means to set the next media or crossfade time for smooth transitions between tracks.

The functionality provided by this control is exposed to application code through the QMediaPlayer class.

The interface name of QMediaGaplessPlaybackControl is `org.qt-project.qt.mediagaplessplaybackcontrol/5.0` as defined in QMediaGaplessPlaybackControl_iid.

See also QMediaService::requestControl() and QMediaPlayer.

## Member Function Documentation

### `[protected]` QMediaGaplessPlaybackControl::QMediaGaplessPlaybackControl(QObject *parent = nullptr)

Constructs a new gapless playback control with the given parent.

### `[virtual]` QMediaGaplessPlaybackControl::~QMediaGaplessPlaybackControl()

Destroys a gapless playback control.

### `[signal]` void QMediaGaplessPlaybackControl::advancedToNextMedia()

### `[pure virtual]` qreal QMediaGaplessPlaybackControl::crossfadeTime() const

See also setCrossfadeTime().

### `[signal]` void QMediaGaplessPlaybackControl::crossfadeTimeChanged(qreal crossfadeTime)

### `[pure virtual]` bool QMediaGaplessPlaybackControl::isCrossfadeSupported() const

### `[pure virtual]` QMediaContent QMediaGaplessPlaybackControl::nextMedia() const

See also setNextMedia().

### `[signal]` void QMediaGaplessPlaybackControl::nextMediaChanged(const QMediaContent &media)

### `[pure virtual]` void QMediaGaplessPlaybackControl::setCrossfadeTime(qreal crossfadeTime)

See also crossfadeTime().

### `[pure virtual]` void QMediaGaplessPlaybackControl::setNextMedia(const QMediaContent &media)

See also nextMedia().

## Macro Documentation

### QMediaGaplessPlaybackControl_iid

`org.qt-project.qt.mediagaplessplaybackcontrol/5.0`

Defines the interface name of the QMediaGaplessPlaybackControl class.